DCMTK - Bug #831

echo SCU false positive
2018-05-03 12:58 - Pedro Fernando Arizpe Gémez

Status: Closed Start date: 2018-05-03
Priority: Immediate Due date: 2018-05-03
Assignee: Pedro Fernando Arizpe Gémez % Done: 100%
Category: Application Estimated time: 0:00 hour

Target version:
Module: dcmnet Compiler:

Operating System: all

Description

echoSCU returns a false positive (EXITCODE_NO_ERROR) while sending a number of C-ECHO-RQ messages to another DICOM
application through an established network connection.

The error happens if the condition returned by cecho is not:
DUL_PEERREQUESTEDRELEASE nor DUL_PEERABORTEDASSOCIATION

The program logs the error correctly(Echo SCU Failed:...) and the association is aborted, however, the program only returns an
accurate exit value if the association abort also fails.

Related issues:

Related to DCMTK - Bug #832: another echo SCU false positive Closed 2018-05-03 2018-05-04
Related to DCMTK - Bug #390: Memory leaks in storescu, findscu und Co. New
History

#1 - 2018-05-03 16:52 - Pedro Fernando Arizpe Gomez
- Status changed from New to Closed

- % Done changed from 0 to 100

#2 - 2018-05-03 17:06 - Pedro Fernando Arizpe Gomez
- Related to Bug #832: another echo SCU false positive added

#3 - 2018-05-03 17:07 - Pedro Fernando Arizpe Gomez
- Related to Bug #390: Memory leaks in storescu, findscu und Co. added
